function Posun(varargin)   % funkce pro posun snímků

    global Images Index;   % globální proměnné
    
    if varargin{end} ~= 0  % zastavení posunu prohlížení
    
    Index = Index + varargin{end};  
    Index = max(Index, 1);                  % na konci
    Index = min(Index, length(Images));     % na začátku
    
    else
        
        switch varargin{2}.Key
            
            case 'leftarrow'        % při stisku levěho tlačítka (šipky) na klávesnici
                
                Index = Index - 1;  % posun doleva
                Index = max(Index, 1);
    
            case 'rightarrow'       % při stisku pravého tlačítka (šipky) na klávesnici
                
                Index = Index + 1;  % posun doprava
                Index = min(Index, length(Images));
        end
    end
    
    imshow(Images{Index}, 'Parent', gca);   % vykreslení aktuálního obrázku
    
    VypisData();   % volání Funkce Vypis data
end